.\"                                      Hey, EMACS: -*- nroff -*-
.\" (C) Copyright 2013 Apollon Oikonomopoulos <apoikos@debian.org>
.\"
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH JMTPFS 1 "May 30, 2013"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
jmtpfs \- FUSE based filesystem for accessing MTP devices
.SH SYNOPSIS
.B jmtpfs
.RI [ options ] " " MOUNTPOINT
.SH DESCRIPTION
.B jmtpfs
is a FUSE and libmtp based filesystem for accessing MTP (Media Transfer
Protocol) devices. It was specifically designed for exchanging files between
Linux (and Mac OS X) systems and newer Android devices that support MTP but not
USB Mass Storage.

The goal is to create a well-behaved filesystem, allowing tools like
.BR find (1)
and
.BR rsync (1)
to work as expected. MTP file types are set automatically based on file
type detection using
.BR libmagic (3) "" .
Setting the file type is necessary for some Android applications, like Gallery,
to be able to find and use the files uploaded to the device.
.SH USAGE
For regular use, simply specifying a MOUNTPOINT will have the first available
MTP device mounted under it. Mounted devices should be unmounted using
.IP
.BR fusermount " " -u "" " " MOUNTPOINT
.PP
(see
.BR fusermount (1)
for more details).

.BR Note:
most (if not all) Android phones have to be unlocked when first accessed over MTP; if
you get an input/output error on the mountpoint, unlock the phone and retry.
.SH OPTIONS
.B jmtpfs
accepts the following options:
.TP
.B \-h
Show summary of options.
.TP
.B \-V, \-\-version
Show the program version.
.TP
.B \-l, \-\-listDevices
List all available MTP devices.
.TP
\fB\-device\fR=\fI<busnum>\fR,\fI<devnum>\fR
Specify the device to mount. If unspecified, the first device found is used.
.PP
In addition to these options, all options supported by
.BR fuse (8)
are available. See
.B jmtpfs -h
for more information.
.SH SEE ALSO
.BR fuse (8),
.BR fusermount (1)
.SH AUTHORS
jmtpfs was written by Jason Ferrara <jason.ferrara@jacquette.com>.

This manual page was written by Apollon Oikonomopoulos <apoikos@debian.org>, for
the Debian project (but may be used by others).
